BROTLI-RS(1)

NAME
brotli-rs - A brotli compressor and decompressor.

SYNOPSIS
brotli-rs [FLAGS]

DESCRIPTION
A brotli compressor and decompressor that with an interface avoiding the rust stdlib. This makes it suitable for embedded devices and kernels. It is designed with a pluggable allocator so that the standard lib's allocator may be employed. All included code is safe.

FLAGS

-catable, --catable
    Enable concatable mode, so that the generated data can be added to block generated with --apendable

-nothreadpool, --nothreadpool
    Disables the work thread pool

-appendable, --appendable
    Enables apendable mode, so that the datastream can be extended with more data from the --catable mode

-magic, --magic
    Enables magic number as the first bytes, so that a brotli compressed stream can be easily detected

-customdictionary=[FILE]
    Reads a custom dictionare from file

--dump-dictionary
    Prints the dictionary used

-utf8
    Forces the utf8 context mode in the compression

-msb
    Forces the msb context mode in the compression

-lsb
    Forces the lsb context mode in the compression

-signed
    Forces the signed context mode in the compression

-efficient
    favor cpu efficiency over low latency

-lowlatency
    favor cpu low latency over efficiency

-i  display the intermediate representation of metablocks

-0, -q0
    Sets quality = 0

-1, -q1
    Sets quality = 1

-2, -q2
    Sets quality = 2

-3, -q3
    Sets quality = 3

-4, -q4
    Sets quality = 4

-5, -q5
    Sets quality = 5

-6, -q6
    Sets quality = 6

-7, -q7
    Sets quality = 7

-8, -q8
    Sets quality = 8

-9, -q9
    Sets quality = 9

-10, -q10
    Sets quality = 10

-11, -q11
    Sets quality = 11

-9.5, -q9.5
    Sets quality = 10

-9.5x, -q9.5x
    Sets quality = 11

-q9.5y
    Sets quality = 12

-l[NUMBER]
    Sets the input block size

-j[NUMBER]
    Sets maximum size of the threadpool

-bytescore=[NUMBER]
    Sets the literal_byte_score value of the hasher, default 0

-w[NUMBER]
    Sets the lgwin value, default 22

-validate, --validate
    Enables validation

-bs[NUMBER]
    Sets the buffer size

-findprior
    Enables prior bitmask detection

-findspeed=[NUMBER]
    Sets cdf adaptation detection to [NUMBER]

-basicstride
    Sets stride

-stride
    Sets stride

-advstride
    Sets stride

-speed=[NUMBER]
    Sets speed

-avoiddistanceprefixsearch
    Avoids distance prefix search

-b[NUMBER]
    Does benchmark

-c  Enables compression mode

-h, --help
    Prints the help text

EXIT STATUS

0   Successful program execution.

1   Unsuccessful program execution.

101 The program panicked.

EXAMPLES

compresses the content of /tmp/input and writes it to /tmp/output
    $ brotli-rs -c /tmp/input /tmp/output

AUTHOR

    Daniel Reiter Horn <danielrh@dropbox.com>